|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QBrush

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QBrush class reference

### Public Functions

- QPixmap * pixmap () const
- void setPixmap ( const QPixmap & pixmap )
- operator const QColor & () const

## Member Function Documentation

### QPixmap * QBrush::pixmap () const

Returns a pointer to the custom brush pattern, or 0 if no custom brush pattern has been set.

See also setPixmap().

### void QBrush::setPixmap ( const QPixmap & pixmap )

Sets a custom pattern for this brush. Use setTexture() instead.

See also setTexture.

### QBrush::operator const QColor & () const

Returns the brush's color.